#ifndef PLACEDIPCORE_H_
#define PLACEDIPCORE_H_

#include <string>
#include "IpCore.h"

namespace cosi {

namespace environment {

namespace onchipcommunication {

using namespace std;

class PlacedIpCore : public IpCore {

public:

	PlacedIpCore();

	PlacedIpCore(string Name);

	PlacedIpCore(string Name, double Xbl, double Ybl, double Xtr, double Ytr);

	double GetBottomLeftX();

	void SetBottomLeftX(double X);

	double GetTopRightX();

	void SetTopRightX(double X);

	double GetBottomLeftY();

	void SetBottomLeftY(double Y);

	double GetTopRightY();

	void SetTopRightY(double Y);


private:

	double mXbl;
	double mYbl;
	double mXtr;
	double mYtr;

};
}
}
}
#endif /*PLACEDIPCORE_H_*/
